Package org.springframework.security.web.webauthn.management

# Class RelyingPartyPublicKey

java.lang.Object
org.springframework.security.web.webauthn.management.RelyingPartyPublicKey

public class RelyingPartyPublicKey extends Object
Submitted by a client to request registration of a new credential.

Since:
  6.4

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyPublicKey(PublicKeyCredential<AuthenticatorAttestationResponse> credential, String label)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredential<AuthenticatorAttestationResponse>`
`getCredential()`
`String`
`getLabel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RelyingPartyPublicKey

public RelyingPartyPublicKey(PublicKeyCredential<AuthenticatorAttestationResponse> credential, String label)
Creates a new instance.

Parameters:
  `credential` - the credential
  `label` - a human readable label that will be associated to the credential

## Method Details

### getCredential

public PublicKeyCredential<AuthenticatorAttestationResponse> getCredential()

### getLabel

public String getLabel()